# Uses of Class
org.apache.sysds.runtime.instructions.spark.data.RDDObject

Packages that use RDDObject
Package
Description
org.apache.sysds.runtime.controlprogram.caching
org.apache.sysds.runtime.controlprogram.context
org.apache.sysds.runtime.lineage

## Uses of RDDObject in org.apache.sysds.runtime.controlprogram.caching

Methods in org.apache.sysds.runtime.controlprogram.caching that return RDDObject
Modifier and Type
Method
Description
`RDDObject`
CacheableData.`getRDDHandle()`
Methods in org.apache.sysds.runtime.controlprogram.caching with parameters of type RDDObject
Modifier and Type
Method
Description
`void`
CacheableData.`setRDDHandle(RDDObject rdd)`

## Uses of RDDObject in org.apache.sysds.runtime.controlprogram.context

Methods in org.apache.sysds.runtime.controlprogram.context with parameters of type RDDObject
Modifier and Type
Method
Description
`void`
SparkExecutionContext.`setRDDHandleForVariable(String varname, RDDObject rddhandle)`
`static FrameBlock`
SparkExecutionContext.`toFrameBlock(RDDObject rdd, Types.ValueType[] schema, int rlen, int clen)`
`static MatrixBlock`
SparkExecutionContext.`toMatrixBlock(RDDObject rdd, int rlen, int clen, int blen, long nnz)`
This method is a generic abstraction for calls from the buffer pool.
`static MatrixBlock`
SparkExecutionContext.`toMatrixBlock(RDDObject rdd, int rlen, int clen, long nnz)`
`static void`
SparkExecutionContext.`writeFrameRDDtoHDFS(RDDObject rdd, String path, Types.FileFormat fmt)`
`static long`
SparkExecutionContext.`writeMatrixRDDtoHDFS(RDDObject rdd, String path, Types.FileFormat fmt)`

## Uses of RDDObject in org.apache.sysds.runtime.lineage

Methods in org.apache.sysds.runtime.lineage that return RDDObject
Modifier and Type
Method
Description
`RDDObject`
LineageCacheEntry.`getRDDObject()`
Methods in org.apache.sysds.runtime.lineage with parameters of type RDDObject
Modifier and Type
Method
Description
`void`
LineageCacheEntry.`setRDDValue(RDDObject rdd)`
`void`
LineageCacheEntry.`setRDDValue(RDDObject rdd, long computetime)`